import request from '@/utils/request'

// 查询硬探针、软探针列表
export function listRyz(query) {
  return request({
    url: '/tcZz/networkSecurity/ryz/list',
    method: 'get',
    params: query
  })
}

// 查询硬探针、软探针详细
export function getRyz(id) {
  return request({
    url: '/tcZz/networkSecurity/ryz/' + id,
    method: 'get'
  })
}

// 新增硬探针、软探针
export function addRyz(data) {
  return request({
    url: '/tcZz/networkSecurity/ryz',
    method: 'post',
    data: data
  })
}

// 修改硬探针、软探针
export function updateRyz(data) {
  return request({
    url: '/tcZz/networkSecurity/ryz',
    method: 'put',
    data: data
  })
}

// 删除硬探针、软探针
export function delRyz(id) {
  return request({
    url: '/tcZz/networkSecurity/ryz/' + id,
    method: 'delete'
  })
}
